---
title: llarp::rpc::rpc_callback

---

# llarp::rpc::rpc_callback





## Public Types

|                | Name           |
| -------------- | -------------- |
| using std::variant< oxenc::bt_value, nlohmann::json, std::string > | **[result_type](Classes/structllarp_1_1rpc_1_1rpc__callback.md#using-result-type)**  |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| void(* | **[invoke](Classes/structllarp_1_1rpc_1_1rpc__callback.md#variable-invoke)**  |

## Public Types Documentation

### using result_type

```cpp
using llarp::rpc::rpc_callback::result_type =  std::variant<oxenc::bt_value, nlohmann::json, std::string>;
```


## Public Attributes Documentation

### variable invoke

```cpp
void(* invoke;
```


-------------------------------

Updated on 2023-01-20 at 23:19:39 +0000